Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-2099

Overview

Vulnerability Score 5.1 5.1
CVE Id CVE-2004-2099
Last Modified 05 Sep 2008 04:43:11
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2004-2099

Summary

Buffer overflow in Need for Speed Hot Pursuit 2.0 client (NFSHP2), version 242 and earlier, allows remote attackers (servers) to execute arbitrary code via long (1) gamename, (2) gamever, (3) hostname, (4) gametype, (5) mapname or (6) gamemode commands.

Vulnerable Systems

Application

  • Electronic Arts Need For Speed Hot Pursuit 2 242.0


References

XF - hotpursuit2-bo(14909)

BID - 9473

MISC - http://aluigi.altervista.org/adv/nfshp2cbof-adv.txt

BUGTRAQ - 20040122 Need for Speed Hot pursuit 2 <= 242 client's buffer overflow


Last Updated: 27 May 2016 10:39:21